#
# spec file for package perl-CSS-Minifier-XS
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CSS-Minifier-XS
Name:           perl-CSS-Minifier-XS
Version:        0.13
Release:        1.19
Summary:        XS based CSS minifier
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GT/GTERMARS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::DiagINC) >= 0.002
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
'CSS::Minifier::XS' is a CSS "minifier"; its designed to remove unnecessary
whitespace and comments from CSS files, while also *not* breaking the CSS.

'CSS::Minifier::XS' is similar in function to 'CSS::Minifier', but is
substantially faster as its written in XS and not just pure Perl.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Feb  7 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.13
  see /usr/share/doc/packages/perl-CSS-Minifier-XS/Changes
  0.13      2021-02-06 17:26:39-08:00 America/Vancouver
  - Internals; avoid allocating memory for each node as we tokenize the
    document, and simply use pointers back into original string.
  - Dramatically improves performance; local testing shows boost from
    ~25/s to ~85MB/s
  - Improve zero value minification further
  - Simplified whitespace compaction
  0.12      2021-01-30 21:46:07-08:00 America/Vancouver
  - rewrote test suite into a single ".t" test
  - GH #1 / RT #97574; whitespace before a ":" in a pseudo-selector is
    meaningful and needs to be preserved (e.g. "#link :visited")
  - Further reductions of "zero values", when possible
  - "00000px" and "0.0px" become "0px"
  - "000%%" and "0.0%%" become "0%%"
  - units are preserved inside of functions, but eliminated otherwise, and
    percentages are always left as a percentages
  - Optimized whitespace collapsing
  - Optimized memory usage and string copying
  0.11      2020-12-30 21:27:39-08:00 America/Vancouver
  - POD spelling fixes
  - Switch to DZil Author Bundle
  0.10      2020-12-28 11:00:17-08:00 America/Vancouver
  - RT #90879; correct minification of %%s in "hsl()" and "hsla()" functions
    Thanks to Philipp Soehnlein
  - RT #103231; don't remove units on zero values inside of functions.
    Thanks to Isaac Montoya, for an additional test case.
  - No long drop units on zero percentages, as those may be required for CSS
    animations.  Thanks to Isaac Montoya for continuing to poke me on this.
  - Now prunes leading whitespace before "!important"
    e.g. "color: red !important" becomes "color:red!important"
  - Switch to Dist::Zilla
* Sat Mar 14 2015 coolo@suse.com
- updated to 0.09
  - RT #85350; retain WS around "+" and "-" operators, so that we don't break
    the "calc()" function by accident.
    Thanks to Philipp Soehnlein
  - RT #60239; remove WS around ">" and "~" selector combinators
    Thanks to Jacob R.
  - RT #60238; remove units on zero values (e.g. "0px" -> "0")
    Thanks to Jacob R.
  - RT #85896 and #79792; allow builds on Perls older than 5.8.8
    Thanks to Michael Robinton
* Mon Dec 12 2011 coolo@suse.com
- initial package 0.08
  * created by cpanspec 1.78.06
